using NetinaShop.Infrastructure.Models.RestApi.Zarinpal;

namespace NetinaShop.Infrastructure.RestServices;

public interface IZarinpalRestApi
{

    [Post("/v4/payment/request.json")]
    Task<ZarinaplPaymentLinkResponse> GetPaymentLinkAsync([Body] ZarinaplPaymentLinkRequest request);
    [Post("/v4/payment/verify.json")]
    Task<ZarinaplPaymentVerifyResponse> VerifyPaymentAsync([Body] ZarinaplVerifyPaymentRequest request);
}